umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdRemoveDiagram Class Reference

`#include <cmdremovediagram.h>`

Inheritance diagram for Uml::CmdRemoveDiagram:

## Public Member Functions
| CmdRemoveDiagram (UMLFolder *folder, Uml::DiagramType::Enum type, const QString &name, Uml::ID::Type id)
| ~CmdRemoveDiagram ()
void | redo ()
void | undo ()

## Private Attributes
UMLFolder * | m_folder
Uml::DiagramType::Enum | m_type
QString | m_name
Uml::ID::Type | m_sceneId
QDomElement | m_element

## Constructor & Destructor Documentation

## ◆ CmdRemoveDiagram()

Uml::CmdRemoveDiagram::CmdRemoveDiagram | ( | UMLFolder * | folder,
|  | Uml::DiagramType::Enum | type,
|  | const QString & | name,
|  | Uml::ID::Type | id )
| explicit

## ◆ ~CmdRemoveDiagram()

Uml::CmdRemoveDiagram::~CmdRemoveDiagram | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdRemoveDiagram::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdRemoveDiagram::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_element

QDomElement Uml::CmdRemoveDiagram::m_element
| private

## ◆ m_folder

UMLFolder* Uml::CmdRemoveDiagram::m_folder
| private

## ◆ m_name

QString Uml::CmdRemoveDiagram::m_name
| private

## ◆ m_sceneId

Uml::ID::Type Uml::CmdRemoveDiagram::m_sceneId
| private

## ◆ m_type

Uml::DiagramType::Enum Uml::CmdRemoveDiagram::m_type
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/cmdremovediagram.h
- umbrello/cmds/cmdremovediagram.cpp